# Stylelite CSS

> Styles that work for you

Stylelite is a tiny-dynamic-classlite css foundation for any project.  Easy to extend, with extras already available, and Great for rapid prototyping.

It *may* be light on `class`, but it makes up for it in *[style](src/extras)*

All in **3kb gzipped!**

### Features

- Tiny, 3kb
- Class-lite
- With Complementary Utility Classes
  - Layout
    - `.row`, `.col`, `.grid`, `.group`, `.left`, `.right`, `.center`

- **extras/** supplies pick-and-choose styles to expanded your options
- Dynamic, 12 Custom CSS Vars
- Includes Light and Dark Themes

> WARNING: ever-green browsers need only apply ;)


## Check it Out

Via `jsdelivr` CDN

```html
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/n2geoff/stylelite/dist/stylelite.min.css">

```

or [Download](https://raw.githubusercontent.com/n2geoff/stylelite/main/dist/stylelite.min.css)



## Dark Mode

Add `data-theme="dark"` to the `html` tag for a taste of the dark side


## LICENSE

- [MIT](LICENSE)


## TODO

Keep it small, but immediately useful.

Tweaks to hit that SWEET spot:

- Dark mode use native browser scrollbars/classes
- Color Utility (extras)
